/* java_ser.h */

#define LARGE_SIZE 5000000      /* It will cover approximately 20MB data */

extern int e_socket_initialize();
extern int initialize2();

extern int java_ser_(char *name, double *time, \
                  double x[], double fx[], int *nx);

extern int java_mser_(char *name, int *nt, double time[], \
                  double x[], double fx[], int nx[]);

extern int java_ser2d_(char *name, double *time, \
                  double x[], double y[], double fxy[], int *nx);

extern int java_mser2d_(char *name, int *nt, double time[], \
                  double x[], double y[], double fxy[], int nx[]);

extern int java_bser2d_(char *name, double *time, \
                  double x[], int *nx, double y[], int *ny, double fxy[]);

extern int java_bmser2d_(char *name, int *nt, double time[], \
                  double x[], int nx[], double y[], int ny[], double fxy[]);

extern int java_bbser2d_(char *name, double *time, \
                  double bb[], int *nx, int *ny, double fxy[]);

extern int java_bbmser2d_(char *name, int *nt, double time[], \
                  double bb[][4], int nx[], int ny[], double fxy[]);

extern int java_vser_(char *name, double *time, \
                  double x[], double y[], double r[], double t[], int *nx);

extern int java_vmser_(char *name, int *nt, double time[], \
                  double x[], double y[], double r[], double t[], int nx[]);

extern int java_bbser_(char *name, double *time, \
                  double bb[], int *nx, double fx[]);

extern int java_bbmser_(char *name, int *nt, double time[], \
                  double bb[][4], int nx[], double fx[]);

extern int java_pser_(char *name, double *time, \
                  double x[], double fx[], int *nx, int *p); 

extern int java_pser2d_(char *name, double *time, \
                  double x[], double y[], double fxy[], int *nx, int *p); 

extern int java_pbbser2d_(char *name, double *time, \
                  double bb[], int *nx, int *ny, double fxy[], int *p);

extern int java_ser3d_(char *name, double *time, \
                  int *nx, int *ny, int *nz, double *threshold, double grid[]);

extern int java_mser3d_(char *name, int *nt, double time[], \
                  int nx[], int ny[], int nz[], double *threshold, \
                  double grid[]);

extern int java_serlabel_(char *name, double *time, int *nx, \
                  double x[], double fx[], char *xlabel, char *ylabel);

extern int java_mserlabel_(char *name, int *nt, double time[], int nx[], \
                  double x[], double fx[], char *xlabel, char *ylabel);

extern int java_sersurfplot_(char *name);
